﻿using System.CommandLine;
using MicroForge.CLI.Commands.Interfaces;

namespace MicroForge.CLI.Commands;

public partial class MicroForge
{
    public partial class Generate : Command, ISubCommandOf<MicroForge>
    {
        public Generate(IEnumerable<ISubCommandOf<Generate>> subCommands) :
            base("generate", "Generate a project item")
        {
            AddAlias("g");
            foreach (var subCommandOf in subCommands)
                AddCommand((subCommandOf as Command)!);
        }
    }
}