﻿using System.CommandLine;
using MicroForge.CLI.Commands.Interfaces;

namespace MicroForge.CLI.Commands;

public partial class MicroForge
{
    public partial class Migrations : Command, ISubCommandOf<MicroForge>
    {
        public Migrations(IEnumerable<ISubCommandOf<Migrations>> subCommands) :
            base("migrations", "Manage your migrations")
        {
            AddAlias("m");
            foreach (var subCommandOf in subCommands)
                AddCommand((subCommandOf as Command)!);
        }
    }
}