﻿using System.CommandLine;
using MicroForge.CLI.Commands.Interfaces;

namespace MicroForge.CLI.Commands;

public partial class MicroForge : RootCommand
{
    public override string Name => "m4g";

    public MicroForge(IEnumerable<ISubCommandOf<MicroForge>> commands) : base("The MicroForge CLI tool.")
    {
        commands
            .Cast<Command>()
            .ToList()
            .ForEach(AddCommand);
    }
}